%define name		libwpd
%define version		0.8.13
%define release		%mkrel 3
%define api_version	0.8
%define lib_major	8
%define lib_name	%mklibname wpd %{api_version} %{lib_major}
%define develname	%mklibname -d wpd 


Summary:	Library for reading/writing WordPerfect files
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPLv2+
Group:		System/Libraries
URL:		http://libwpd.sourceforge.net/
Source:		http://ovh.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Patch0:		%{name}-0.8.8-stability.patch
Patch1:		%{name}-0.8.8-typedetect.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	glib2-devel
BuildRequires:	libgsl-devel
BuildRequires:	libgsf-devel
BuildRequires:	doxygen

%description
Libwpd is a library for reading/writing WordPerfect files.
It is designed to be used by another program (e.g.: a word
processor) as an in-process component.
It supports fileimport of all versions of WordPerfect.

%package -n	%{name}-tools
Summary:	Tools to transform Wordperfect files to html or text
Group:		Office

%description -n %{name}-tools
Tools to transform Wordperfect files to html or text.
It supports fileimport of all versions of WordPerfect.

%package -n	%{lib_name}
Summary:	Library for reading/writing WordPerfect files
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%mklibname wpd- 0.8 8

%description -n	%{lib_name}
Libwpd is a library for reading/writing WordPerfect files.
It is designed to be used by another program (e.g.: a word
processor) as an in-process component.
It supports fileimport of all versions of WordPerfect.

%package -n	%{develname}
Summary:	Headers and development files for libwpd
Group:		Development/Other
Requires:	%{lib_name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}-%{api_version}-devel = %{version}-%{release}
Obsoletes:	libwpd0-devel
Obsoletes:	%mklibname -d wpd- 0.8 8

%description -n	%{develname}
Headers and development files for libwpd.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%post -n %{lib_name} -p /sbin/ldconfig
 

%postun -n %{lib_name} -p /sbin/ldconfig
 

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{name}-tools
%defattr(-,root,root)
%{_bindir}/*

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libwpd-%{api_version}*.so.*
%{_libdir}/libwpd-stream-%{api_version}*.so.*
%doc CHANGES COPYING INSTALL README TODO

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/pkgconfig/libwpd-%{api_version}.pc
%{_libdir}/pkgconfig/libwpd-stream-%{api_version}.pc
%{_libdir}/libwpd-%{api_version}*.so
%{_libdir}/libwpd-%{api_version}*.la
%{_libdir}/libwpd-stream-%{api_version}*.so
%{_libdir}/libwpd-stream-%{api_version}*.la
%dir %{_includedir}/libwpd-%{api_version}
%dir %{_includedir}/libwpd-%{api_version}/libwpd
%{_includedir}/libwpd-%{api_version}/libwpd/*

%doc %_docdir/libwpd-%{version}/*.png
%doc %_docdir/libwpd-%{version}/html/*.html
%doc %_docdir/libwpd-%{version}/html/*.png
%doc %_docdir/libwpd-%{version}/html/*.css
%doc %_docdir/libwpd-%{version}/CHANGES
%doc %_docdir/libwpd-%{version}/COPYING
%doc %_docdir/libwpd-%{version}/CREDITS
%doc %_docdir/libwpd-%{version}/HACKING
%doc %_docdir/libwpd-%{version}/INSTALL
%doc %_docdir/libwpd-%{version}/README
%doc %_docdir/libwpd-%{version}/TODO
%doc %_docdir/libwpd-%{version}/libwpd.dia




%changelog
* Tue Mar 25 2008 Emmanuel Andry <eandry@mandriva.org> 0.8.13-3mdv2008.1
+ Revision: 189873
- Fix lib group

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.8.13-2mdv2008.1
+ Revision: 170963
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Sun Jan 06 2008 Funda Wang <fundawang@mandriva.org> 0.8.13-1mdv2008.1
+ Revision: 145938
- New version 0.8.13

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 05 2007 Funda Wang <fundawang@mandriva.org> 0.8.12-1mdv2008.1
+ Revision: 105986
- New version 0.8.12

* Wed Aug 29 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.8.11-1mdv2008.0
+ Revision: 74873
- New upstream: 0.8.11


* Tue Apr 03 2007 Jérôme Soyer <saispo@mandriva.org> 0.8.9-1mdv2007.1
+ Revision: 150223
- New release

* Mon Mar 19 2007 Giuseppe Ghibò <ghibo@mandriva.com> 0.8.8-2mdv2007.1
+ Revision: 146411
- Added Patch0 (stability) to fix security problem CVE-2007-0002.
- Added Patch1 (typedetect) to fix problems with type detecting (http://qa.openoffice.org/issues/show_bug.cgi?id=74134).

* Sun Feb 18 2007 Jérôme Soyer <saispo@mandriva.org> 0.8.8-1mdv2007.1
+ Revision: 122327
- Add BR
- New release 0.8.8
- Import libwpd

* Sun Jul 23 2006 Emmanuel Andry <eandry@mandriva.org> 0.8.6-1mdv2007.0
- 0.8.6

* Mon Jun 12 2006 Charles A Edwards <eslrahc@mandriva.org> 0.8.5-1mdv2007.0
- 0.8.5
- mkrel

* Sat Mar 11 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.3-4mdk
- Rebuild with new libgsf

* Wed Dec 28 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.3-3mdk
- Rebuild for x86_64

* Wed Oct 12 2005 Götz Waschk <waschk@mandriva.org> 0.8.3-2mdk
- rebuild for new libgsf

* Fri Oct 07 2005 Marcel Pol <mpol@mandriva.org> 0.8.3-1mdk
- 0.8.3
- fix filelist

* Wed May 04 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.8.1-2mdk
- add BuildRequires: libgsf-1-devel doxygen

* Wed Apr 27 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.1-1mdk
- 0.8.1

* Mon Feb 21 2005 Charles A Edwards <eslrahc@mandrake.org> 0.8.0-1mdk
- 0.8.0
- update api and major
- use api marco in file list

* Fri Dec 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.7.2-1mdk
- 0.7.2

* Sun Jun 06 2004 Marcel Pol <mpol@mandrake.org> 0.7.1-3mdk
- rebuild

* Wed Jun 02 2004 Marcel Pol <mpol@mandrake.org> 0.7.1-2mdk
- run libtoolize again

